> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update shipping zone detail

> Update shipping zone detail



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json put /store/shipping-zones/{id}
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /store/shipping-zones/{id}:
    parameters:
      - name: id
        in: path
        description: shipping zone id
        required: true
        schema:
          type: string
    put:
      tags:
        - Store
      summary: Update shipping zone detail
      description: Update shipping zone detail
      operationId: update-shipping-zone
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateShippingZone'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      shipping_zone:
                        $ref: '#/components/schemas/ShippingZoneDetail'
                    type: object
components:
  schemas:
    UpdateShippingZone:
      title: UpdateShippingZone
      type: object
      properties:
        name:
          type: string
        countries:
          type: array
          items:
            type: object
            properties:
              country_alias:
                type: string
              all_states:
                type: boolean
                default: true
              state_alias:
                description: required if all_regions=false
                type: array
                items:
                  type: string
        active:
          type: boolean
          default: true
      x-tags:
        - Store
    ShippingZoneDetail:
      title: ShippingZoneDetail
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        countries:
          type: array
          items:
            $ref: '#/components/schemas/Country'
        active:
          type: boolean
          default: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        modified_at:
          type: string
          format: date-time
          readOnly: true
        available_shipping_options:
          type: array
          items:
            $ref: '#/components/schemas/ShippingOption'
          readOnly: true
      x-tags:
        - Store
    Country:
      title: Country
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
        country_code:
          type: string
        iso_code:
          type: string
        currency_code:
          type: string
        currency_symbol:
          type: string
        currency_name:
          type: string
        flag_icon_url:
          type: string
        region:
          type: string
        alias:
          type: string
        active:
          type: boolean
          default: true
        all_states:
          type: boolean
          default: true
        states:
          type: array
          items:
            $ref: '#/components/schemas/CountryState'
      x-tags:
        - Store
    ShippingOption:
      title: ShippingOption
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        is_connected:
          type: boolean
        is_forward_shipping:
          type: boolean
        is_return_shipping:
          type: boolean
        logo_dark:
          type:
            - string
            - 'null'
          readOnly: true
        logo_light:
          type:
            - string
            - 'null'
          readOnly: true
        type:
          enum:
            - auto
            - manual
        status:
          enum:
            - active
            - inactive
    CountryState:
      title: CountryState
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
        iso_code:
          type: string
        gst_code:
          type: string
        active:
          type: boolean
          default: true
        alias:
          type: string
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````